Puzzle / Developers
API referencePayroll

Create Contractor

POST /company/{id}/contractors

POST/company/{id}/contractors

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/contractors" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "startDate": "string",    "type": "Individual",    "payRate": {      "amount": "string",      "currency": "str"    },    "wageType": "Fixed",    "isActive": true,    "nativeId": "string"  }'
{  "id": "string",  "firstName": "string",  "lastName": "string",  "businessName": "string",  "startDate": "string",  "department": "string",  "hourlyRate": "string",  "isActive": true,  "type": "Individual",  "wageType": "Fixed",  "payRate": "string"}

Schema refreshed 2026-11-11T18:57:48.657Z